> ## Documentation Index
> Fetch the complete documentation index at: https://scrinly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify an alert recipient



## OpenAPI

````yaml /api-reference/openapi.json get /render/monitor-recipients/verify
openapi: 3.1.0
info:
  title: Scrinly Browser API
  version: 1.0.0
  description: >-
    Public screenshot, region, Visual Style Guide, visual diff, monitoring,
    batch, job-status, and usage API.
servers:
  - url: https://api.scrinly.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Screenshots
  - name: Batches
  - name: Diffs
  - name: Jobs
  - name: Usage
  - name: Monitors
  - name: Recipients
paths:
  /render/monitor-recipients/verify:
    get:
      tags:
        - Recipients
      summary: Verify an alert recipient
      operationId: verifyMonitorRecipient
      parameters:
        - name: token
          in: query
          required: true
          schema:
            type: string
            minLength: 20
          description: Single-use token from the verification email.
      responses:
        '200':
          description: Recipient verified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecipientResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
      security: []
components:
  schemas:
    RecipientResponse:
      type: object
      required:
        - success
        - recipient
      properties:
        success:
          type: boolean
          const: true
        recipient:
          $ref: '#/components/schemas/Recipient'
    Recipient:
      type: object
      required:
        - id
        - status
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        emailMasked:
          type: string
          description: Safe masked address; plaintext addresses are encrypted at rest.
        status:
          type: string
          enum:
            - pending
            - verified
        createdAt:
          type: string
          format: date-time
        verifiedAt:
          type:
            - string
            - 'null'
          format: date-time
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          const: false
        error:
          type: string
        type:
          type: string
        code:
          type: string
        retryable:
          type: boolean
        fields:
          type: array
          items:
            $ref: '#/components/schemas/ErrorField'
        credits:
          $ref: '#/components/schemas/Credits'
    ErrorField:
      type: object
      required:
        - field
        - message
      properties:
        field:
          type: string
        message:
          type: string
    Credits:
      type: object
      required:
        - charged
        - refunded
        - net
      properties:
        charged:
          type: integer
          minimum: 0
        refunded:
          type: integer
          minimum: 0
        net:
          type: integer
          minimum: 0
  responses:
    BadRequest:
      description: Validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Scrinly API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.